Page MenuHomePhabricator

Start oversampling all mobile visual editor EditAttemptStep events
Closed, ResolvedPublic

Event Timeline

JTannerWMF moved this task from To Triage to Up next on the VisualEditor board.Dec 19 2018, 6:33 PM
Neil_P._Quinn_WMF removed Neil_P._Quinn_WMF as the assignee of this task.Dec 24 2018, 6:34 AM
Neil_P._Quinn_WMF moved this task from Triage to Tracking on the Product-Analytics board.
Neil_P._Quinn_WMF added a subscriber: DLynch.

FYI, this will have to be done by one of the engineers on the team. @DLynch? 😁

JTannerWMF edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch added a subscriber: Catrope.EditedFeb 26 2019, 6:02 PM

Only mobile? I've taken a look at this, and @Catrope had hooked up mobile-and-desktop both to mw.config.get( 'wgWMESchemaEditAttemptStepOversample' ). If we want to only oversample mobile events, I think we'll need to tweak that.

From a call today: Neil would prefer mobile-only oversampling. I'll work up a patch for that.

Change 493466 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/MobileFrontend@master] Split up EditAttemptStep oversampling so it can be forced for mobile only

https://gerrit.wikimedia.org/r/493466

DLynch claimed this task.Feb 28 2019, 6:00 PM

Change 494271 had a related patch set uploaded (by DLynch; owner: DLynch):
[operations/mediawiki-config@master] Oversample metrics for mobile visualeditor

https://gerrit.wikimedia.org/r/494271

Change 493466 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Split up EditAttemptStep oversampling so it can be forced for mobile only

https://gerrit.wikimedia.org/r/493466

Change 494271 merged by jenkins-bot:
[operations/mediawiki-config@master] Oversample metrics for mobile visualeditor

https://gerrit.wikimedia.org/r/494271

Mentioned in SAL (#wikimedia-operations) [2019-03-06T00:23:49Z] <twentyafterfour@deploy1001> Synchronized wmf-config/mobile.php: sync https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/494271/ for SWAT refs T212253 (duration: 00m 56s)

phuedx removed a subscriber: phuedx.Mar 6 2019, 11:01 AM

Adding context from T212137 :

Over-sampling status
Over-sampling of EditAttemptStep data stream seems to be working per @Esanders's investigation of the below.
See the jump in sample size (right-most column) between 2019-03-07 and 2019-03-08:

ppelberg closed this task as Resolved.Mar 28 2019, 11:28 PM